I have these plines that keep appearing in my drawing that are not on a layer (see attached). I have never experienced this before. There are 10x duplicates stacked upon one another surrounding three separate shapes. My theory is that a hatch is creating them. I deleted them and they came back. How do I manage them and their display properties, or better yet, remove them from the drawing.
I have a 3d topographic survey plan. I need to take sections at various locations and would like to know the best way of going about this.
I am used to working with solids and so would normally just take a section plane but this won't work as the 3d topographic survey plan I have is made up of polylines.
A new problem; I can't join these plines. I have tried just 2, selecting them before entering the command but nothing happens. I need the selected line joined with the one on each end that shares that node.
How i'm adding lengths of individual plines...I am running MEP 2013 and lately we've been doing a lot of measuring of plines...The problem i'm having is that we are supposed to add 24' to every length...So if I measure a polyline and it's 10' long, the number i'm supposed to be putting on the drawing would be 34'...Is there a way to create a command that will automatically add what I need to every pline?
So, I am trying to output a solid 3D model of the attached drawing. I traced it and converted it into a dxf, from there I cleaned it up, but cannot pedit. I assume it has to do with the arcs. Cannot find anything on google, so I thought I would turn to you good folks.
I have got a recordset that contains a bunch of ehandles for closed plines. Currently I cycle through the recordset, change each ehandle to an oblject and hatch it. It works fine, but is a tad slow. I would like to put all of the ehandles into a selectiion set (maybe?) and hatch them all at one time.
I searched and saw lots of posts on converting a spline object into a pline, but not the other way around. I like the way that splines can use control vertices or fit points.
I know that you can apply a spline smoothing to a pline, but what I'd like to do is to convert a pline object into a spline object and splining a pline does not do that.
Any fairly easy way to do this? Are there LISP routines that do this?
The Plines that I am using on my drawing do not appear solid when I change to the required global width, all my system variable are set correctly however the lines are showing 'doubled'. How do I rectify this?
AutoCAD 2013 Mechanical SP2 64-bit HP Z400, Intel Xeon W3550 3.07GHz 12.0GB RAM, ATI FirePro V4800 (FireGL) Windows 7 HP Z400, Intel Xeon W3550 3.07GHz 12.0GB RAM, ATI FirePro V4800 (FireGL)
I am attempting to fillet plines to make rounded curbs at street intersections. Whenever I create the fillet, the 2 plines that were filleted remain as they were before the fillet.
This only happens on my computer and only in AutoCAD 2011, it works fine in Civil3D 2011. We only have a limited number of Civil3D licenses or I would just use that all the time.
The attached screenshot shows an example of what happens. The 2 red lines are what were filletted (the fillet is in white). Both lines are long enough to accomodate the radius of the fillet.
I've been trying to figure out how to do this. I have a file with 41 drawings, and 7650 objects. and i want all the lines, arcs and circles to be turned into polylines. Now the Mpedit command doesnt really do it for me.
Command: MPEdit Select objects: Specify opposite corner: 4632 found, 10 groups Select objects: divide by zero
This is what happens when i write MPEdit, mark everything in my drawing and press enter. Now i also tried marking a line, using select similar, and fixing it that way. but i get the "divide by zero" error aswell.
I have several rectangles in a drawing which have the same dimensions, is it possible to perform a multi select of these items by specifying the lenghts of the rectangles ? I can't see a way of doing this under QSelect or Filter.
Autodesk Inventor Professional 2013 SP2 64-Bit Edition Windows 7 HP Z400, Intel Xeon W3550 3.07GHz 12.0GB RAM, ATI FirePro V4800 (FireGL)
I know there are different ways to do this. Would like to know multiple options so I can see which might be quickest for me.
I have points with elevations and 2D plines at elevation zero drawn between them.
I would like 3D plines instead. This is the easiest way for me to transfer them to another drawing where I will make surfaces with them. I don't want to have to transfer the points over.
I can redraw the plines as 3D plines but this is time consuming and seems unecessary.
I don't want to have to convert them to Feature Lines either. I prefer they be 3D polylines.
Is there a simple command for this? I already have a surface containing the points and lines as surface breaklines.
Is there a project objects to surface command that will make these 2D plines at elev 0 into 3D plines while assigning elevations (and vertices) only at the current vertices?
What about a simple series of commands to convert the 2D plines to 3D plines, then force the 3D pline to take on the elevations of the points at its vertices? (I think this would be my preference, but don't know any of these commands or where to find them.)
Didn't their use to be a control for how PLines showed up at intersections when you increased the width? I can't remember where it was (dialog box, options, sys-var)?
I have to create some plines in a drawing from the inputs provided by the client. I prepared a lisp code for it. I have to use it to 1000 drawings. Every time I open the drawing and running the lisp command.
Is any lisp code to run in bulk open drawings with out entering command prompt.
Yesterday I post the message "Exporting pline and text" which turned out to work realy well.
However I need something else...
I need to select several plines and export their vertexes (as it is already done) BUT I also need to select SEVERAL texts and export them as well as their insertion point coordinates.
I tried with the code below but without any success... It gives the error "; error: ActiveX Server returned the error: unknown name: "TEXT"" This happens after selecting some texts and hiting enter.
Here is the
(defun c:zi5 ( / f i o s ss obj objdata texto texto_f nomebase nome_zi tx1 iPt)(vl-load-com)(setq nomebase (getstring " Enter name for file:")) (setq nome_zi (strcat "D:" nomebase "_zi.txt")) (princ "Select your plines...") (if (and (setq s (ssget '((0 . "LWPOLYLINE")))) (setq f (open nome_zi "w")) )
Currently I am using 2010 Map 3d, for water main base plans.
I use Micro Survey to process my field work. From there I open in Cad, import layers from our GIS data base for property, buildings, addresses, etc.
The only thing I have done different is from another project was copy and paste some utility layers.
Now my drawing turns any plines with width into hollow lines, and if align something my drawing will zoom to extents, also text mask does not work and i tried turning text to Mtext and it will not let me select yes for background mask.
I need to change the color of all lines/plines that intersect a given pline. How would I go about making the selection set of all lines that intersect that given pline.
It appears that the Layer Filters functionality is broken again with 2013. Unchecking the "Apply layer filter to layer toolbar" disables the function of layer filters in the tool palette.
When i click on the green line has you can see on the image. The layer toolbar wont show me the right layer, like if it's not working. But i can see the right layer inside propreties.
Is there a system variable to ajust to see my layers inside the Layer tool bar?
A drawing with hundreds of layers should be simplified for our customer by decreasing the numbers of and renaming the layers (there is yet no target file existing). In order to solve this, I generated group filters and assigned every single layer to them (all printing properties are assigned to objects). The layer groups show the desired layer structure after the transformation (still a three-digit number).
Unfortunately, the LAYTRANS dialog doesn't let me choose layers by group filters or remarks. It seems as all the work was for the birds.
Is there any way to translate my layers using filters or remarks?
I have a bunch of objects on a particular layer, and they're all different colors and linetypes and lineweights, and i want them to all take on the color / linetype / lineweight that i chose for that layer.. how do i do this?
I have a drawing where I need to open the layer manager to turn on a layer in a view port but cannot get to that particular column. As you look across the top of the layer manager I can see all the headings of each column beginning with "Name", "Status", "On" and so forth. The last column heading I see is "Description" but I need to go even further to the right to get to the column I need to be at but can't get there. There is no scroll button on the bottom of the layer manager which would allow me to do that.
I have a client experiencing a layer manager dialog box issue - the layer names are disappearing... This is not happening all the time - and in different files.